Loading...
Searching...
No Matches
cmd_node Struct Reference
VTY Command

Node which has some commands and prompt string and configuration function pointer . More...

`#include <command.h>`

## Data Fields

int | node
| Node index.
const char * | prompt
| Prompt character at vty interface.
int | vtysh
| Is this node's configuration goes to vtysh ?
int(* | func )(struct vty *)
| Node's configuration write function.
vector | cmd_vector
| Vector of this node's command list.
char | name [64]
| Human-readable ID of this node.

## Detailed Description

Node which has some commands and prompt string and configuration function pointer .

## Field Documentation

## cmd_vector

vector cmd_node::cmd_vector

Vector of this node's command list.

Referenced by check_element_exists(), cmd_node_vector(), gDEFUN(), install_element(), node_flag_mask(), sort_node(), and vty_dump_nodes().

## func

int(* cmd_node::func) (struct vty *)

Node's configuration write function.

Referenced by install_node(), and install_node_bare().

## name

char cmd_node::name[64]

Human-readable ID of this node.

Should only contain alphanumeric plus '-' and '_' characters (is used as XML ID for 'show online-help'). If left NUL, this is derived from the prompt.

Referenced by vty_dump_nodes().

## node

int cmd_node::node

Node index.

Referenced by vty_dump_nodes().

## prompt

const char* cmd_node::prompt

Prompt character at vty interface.

Referenced by cmd_prompt(), and node_name_from_prompt().

## vtysh

int cmd_node::vtysh

Is this node's configuration goes to vtysh ?

The documentation for this struct was generated from the following file:

- include/osmocom/vty/command.h